<?php

require_once(dirname(__FILE__)."/../config.inc.php");
require_once(dirname(__FILE__)."/utilsl.inc.php");
require_once(dirname(__FILE__)."/utils-themes.inc.php");

if ($cfg['db_info']['nagiosxi']['dbtype'] == 'pgsql') {
    register_callback(CALLBACK_FRAME_START, 'print_upgrade_to_mysql_banner');
}

/** 
 * Prints a banner warning the user to upgrade from PostgreSQL to MySQL.
 * Does not check _whether_ the user is using any specific database.
 *  
 * @param           $cbtype     The callback type slug
 * @param   array   $args       An array of arguments

 */
function print_upgrade_to_mysql_banner($cbtype, $args) {

    // Don't display if we are in a parent page
    // These conditions were stolen from license_check_content_header()
    $theme = get_theme();
    if ($theme == 'xi2014' || $theme == 'classic') {
        if (!$args['child']) {
            return;
        }
    } else if ($args['child']) {
        return;
    }

    $script_path = get_root_dir() . '/scripts/pg2mysql/convert_nagiosxi_to_mysql.php';

    ?>
    <div class='contentheadernotice'><?php echo sprintf(_('Notice: Your Nagios XI server is configured to use PostgreSQL, which is deprecated. Please use %s or reach out to the Support Team for migration assistance.'), "<b>$script_path</b>"); ?></div>
    <?php
}

